[script]
n0=;/////////////////////////////////////////////Массовые действия/////////////////////////////////////////////
n1=menu channel {
n349=Массдействия
n350=.Мас. Wake Up:ctcp $chan wake
n351=.-
n352=.Все пользователи
n353=..Овнеры: massqall #
n354=..Деовнеры: massdeqall #
n355=..Опы: massopall #
n356=..Деопы: massdeopall #
n357=..С голосом: massvall #
n358=..Без голоса: massunvall #
n359=.Только Опы
n360=..Овнеры: massqops #
n361=..Деовнеры: massdeqops #
n362=..Опы: massopops #
n363=..Деопы: massdeopops #
n364=..С голосом: massvops #
n365=..Без голоса: massunvops #
n366=.Только деопы
n367=..Овнеры: massqdeops #
n368=..Деовнеры: massdeqdeops #
n369=..Опы: massopdeops #
n370=..Деопы: massdeopdeops #
n371=..С голосом: massvdeops #
n372=..Без голоса: massunvdeops #
n373=.Только овнеры
n374=..Овнеры: massqowners #
n375=..Деовнеры: massdeqowners #
n376=..Опы: massopowners #
n377=..Деопы: massdeopowners #
n378=..С гололсом: massvowners #
n379=..Без голоса: massunvowners #
n380=.Овнеры/Опы
n381=..Овнеры: massqownersops #
n382=..Деовнеры: massdeqownersops #
n383=..Опы: massopownersops #
n384=..Деопы: massdeopownersops #
n385=..С гололсом: massvownersops #
n386=..Без голосом: massunvownersops #
n387=.-
n388=..Всех Кикнуть: masskick
n388=}
n492=;*/Массовые действия/*
n493=alias massqall {
n494=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n495=  set %mass.nicknumber $nick($1,0)
n496=  unset %mass.nicks
n497=  set %mass.number 1
n498=  unset %mass.totalnum
n499=  :incme
n500=  if ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n501=  if (%mass.number == %mass.nicknumber) { goto end }
n502=  inc %mass.number
n503=  goto incme
n504=  :end  
n505=  .raw mode $1 + $+ $str(q,%mass.totalnum) %mass.nicks
n506=  :endall
n507=}
n508=
n509=alias massdeqall {
n510=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n511=  set %mass.nicknumber $nick($1,0)
n512=  unset %mass.nicks
n513=  set %mass.number 1
n514=  unset %mass.totalnum
n515=  :incme
n516=  if ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n517=  if (%mass.number == %mass.nicknumber) { goto end }
n518=  inc %mass.number
n519=  goto incme
n520=  :end  
n521=  .raw mode $1 - $+ $str(q,%mass.totalnum) %mass.nicks
n522=  :endall
n523=}
n524=
n525=alias massdeopall {
n526=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n527=  set %mass.nicknumber $nick($1,0)
n528=  unset %mass.nicks
n529=  set %mass.number 1
n530=  unset %mass.totalnum
n531=  :incme
n532=  if ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n533=  if (%mass.number == %mass.nicknumber) { goto end }
n534=  inc %mass.number
n535=  goto incme
n536=  :end  
n537=  .raw mode $1 - $+ $str(o,%mass.totalnum) %mass.nicks
n538=  :endall
n539=}
n540=
n541=alias massopall {
n542=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n543=  set %mass.nicknumber $nick($1,0)
n544=  unset %mass.nicks
n545=  set %mass.number 1
n546=  unset %mass.totalnum
n547=  :incme
n548=  if ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n549=  if (%mass.number == %mass.nicknumber) { goto end }
n550=  inc %mass.number
n551=  goto incme
n552=  :end  
n553=  .raw mode $1 + $+ $str(o,%mass.totalnum) %mass.nicks
n554=  :endall
n555=}
n556=
n557=alias massvall {
n558=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n559=  set %mass.nicknumber $nick($1,0)
n560=  unset %mass.nicks
n561=  set %mass.number 1
n562=  unset %mass.totalnum
n563=  :incme
n564=  if ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n565=  if (%mass.number == %mass.nicknumber) { goto end }
n566=  inc %mass.number
n567=  goto incme
n568=  :end  
n569=  .raw mode $1 + $+ $str(v,%mass.totalnum) %mass.nicks
n570=  :endall
n571=}
n572=
n573=alias massunvall {
n574=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n575=  set %mass.nicknumber $nick($1,0)
n576=  unset %mass.nicks
n577=  set %mass.number 1
n578=  unset %mass.totalnum
n579=  :incme
n580=  if ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n581=  if (%mass.number == %mass.nicknumber) { goto end }
n582=  inc %mass.number
n583=  goto incme
n584=  :end  
n585=  .raw mode $1 - $+ $str(v,%mass.totalnum) %mass.nicks
n586=  :endall
n587=}
n588=
n589=
n590=alias massqowners {
n591=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n592=  set %mass.nicknumber $nick($1,0)
n593=  unset %mass.nicks
n594=  set %mass.number 1
n595=  unset %mass.totalnum
n596=  :incme
n597=  if ($nick($1,%mass.number) isowner $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n598=  if (%mass.number == %mass.nicknumber) { goto end }
n599=  inc %mass.number
n600=  goto incme
n601=  :end  
n602=  .raw mode $1 + $+ $str(q,%mass.totalnum) %mass.nicks
n603=  :endall
n604=}
n605=
n606=alias massdeqowners {
n607=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n608=  set %mass.nicknumber $nick($1,0)
n609=  unset %mass.nicks
n610=  set %mass.number 1
n611=  unset %mass.totalnum
n612=  :incme
n613=  if ($nick($1,%mass.number) isowner $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n614=  if (%mass.number == %mass.nicknumber) { goto end }
n615=  inc %mass.number
n616=  goto incme
n617=  :end  
n618=  .raw mode $1 - $+ $str(q,%mass.totalnum) %mass.nicks
n619=  :endall
n620=}
n621=
n622=alias massdeopowners {
n623=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n624=  set %mass.nicknumber $nick($1,0)
n625=  unset %mass.nicks
n626=  set %mass.number 1
n627=  unset %mass.totalnum
n628=  :incme
n629=  if ($nick($1,%mass.number) isowner $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n630=  if (%mass.number == %mass.nicknumber) { goto end }
n631=  inc %mass.number
n632=  goto incme
n633=  :end  
n634=  .raw mode $1 - $+ $str(o,%mass.totalnum) %mass.nicks
n635=  :endall
n636=}
n637=
n638=alias massopowners {
n639=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n640=  set %mass.nicknumber $nick($1,0)
n641=  unset %mass.nicks
n642=  set %mass.number 1
n643=  unset %mass.totalnum
n644=  :incme
n645=  if ($nick($1,%mass.number) isowner $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n646=  if (%mass.number == %mass.nicknumber) { goto end }
n647=  inc %mass.number
n648=  goto incme
n649=  :end  
n650=  .raw mode $1 + $+ $str(o,%mass.totalnum) %mass.nicks
n651=  :endall
n652=}
n653=
n654=alias massvowners {
n655=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n656=  set %mass.nicknumber $nick($1,0)
n657=  unset %mass.nicks
n658=  set %mass.number 1
n659=  unset %mass.totalnum
n660=  :incme
n661=  if ($nick($1,%mass.number) isowner $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n662=  if (%mass.number == %mass.nicknumber) { goto end }
n663=  inc %mass.number
n664=  goto incme
n665=  :end  
n666=  .raw mode $1 + $+ $str(v,%mass.totalnum) %mass.nicks
n667=  :endall
n668=}
n669=
n670=alias massunvowners {
n671=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n672=  set %mass.nicknumber $nick($1,0)
n673=  unset %mass.nicks
n674=  set %mass.number 1
n675=  unset %mass.totalnum
n676=  :incme
n677=  if ($nick($1,%mass.number) isowner $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n678=  if (%mass.number == %mass.nicknumber) { goto end }
n679=  inc %mass.number
n680=  goto incme
n681=  :end  
n682=  .raw mode $1 - $+ $str(v,%mass.totalnum) %mass.nicks
n683=  :endall
n684=}
n685=
n686=;========
n687=
n688=alias massqops {
n689=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n690=  set %mass.nicknumber $nick($1,0)
n691=  unset %mass.nicks
n692=  set %mass.number 1
n693=  unset %mass.totalnum
n694=  :incme
n695=  if ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n696=  if (%mass.number == %mass.nicknumber) { goto end }
n697=  inc %mass.number
n698=  goto incme
n699=  :end  
n700=  .raw mode $1 + $+ $str(q,%mass.totalnum) %mass.nicks
n701=  :endall
n702=}
n703=
n704=alias massdeqops {
n705=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n706=  set %mass.nicknumber $nick($1,0)
n707=  unset %mass.nicks
n708=  set %mass.number 1
n709=  unset %mass.totalnum
n710=  :incme
n711=  if ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n712=  if (%mass.number == %mass.nicknumber) { goto end }
n713=  inc %mass.number
n714=  goto incme
n715=  :end  
n716=  .raw mode $1 - $+ $str(q,%mass.totalnum) %mass.nicks
n717=  :endall
n718=}
n719=
n720=alias massdeopops {
n721=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n722=  set %mass.nicknumber $nick($1,0)
n723=  unset %mass.nicks
n724=  set %mass.number 1
n725=  unset %mass.totalnum
n726=  :incme
n727=  if ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n728=  if (%mass.number == %mass.nicknumber) { goto end }
n729=  inc %mass.number
n730=  goto incme
n731=  :end  
n732=  .raw mode $1 - $+ $str(o,%mass.totalnum) %mass.nicks
n733=  :endall
n734=}
n735=
n736=alias massopops {
n737=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n738=  set %mass.nicknumber $nick($1,0)
n739=  unset %mass.nicks
n740=  set %mass.number 1
n741=  unset %mass.totalnum
n742=  :incme
n743=  if ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n744=  if (%mass.number == %mass.nicknumber) { goto end }
n745=  inc %mass.number
n746=  goto incme
n747=  :end  
n748=  .raw mode $1 + $+ $str(o,%mass.totalnum) %mass.nicks
n749=  :endall
n750=}
n751=
n752=alias massvops {
n753=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n754=  set %mass.nicknumber $nick($1,0)
n755=  unset %mass.nicks
n756=  set %mass.number 1
n757=  unset %mass.totalnum
n758=  :incme
n759=  if ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n760=  if (%mass.number == %mass.nicknumber) { goto end }
n761=  inc %mass.number
n762=  goto incme
n763=  :end  
n764=  .raw mode $1 + $+ $str(v,%mass.totalnum) %mass.nicks
n765=  :endall
n766=}
n767=
n768=alias massunvops {
n769=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n770=  set %mass.nicknumber $nick($1,0)
n771=  unset %mass.nicks
n772=  set %mass.number 1
n773=  unset %mass.totalnum
n774=  :incme
n775=  if ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n776=  if (%mass.number == %mass.nicknumber) { goto end }
n777=  inc %mass.number
n778=  goto incme
n779=  :end  
n780=  .raw mode $1 - $+ $str(v,%mass.totalnum) %mass.nicks
n781=  :endall
n782=}
n783=
n784=;=====
n785=
n786=alias massqdeops {
n787=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n788=  set %mass.nicknumber $nick($1,0)
n789=  unset %mass.nicks
n790=  set %mass.number 1
n791=  unset %mass.totalnum
n792=  :incme
n793=  if ($nick($1,%mass.number) !isowner $1) && ($nick($1,%mass.number) !isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n794=  if (%mass.number == %mass.nicknumber) { goto end }
n795=  inc %mass.number
n796=  goto incme
n797=  :end  
n798=  .raw mode $1 + $+ $str(q,%mass.totalnum) %mass.nicks
n799=  :endall
n800=}
n801=
n802=alias massdeqdeops {
n803=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n804=  set %mass.nicknumber $nick($1,0)
n805=  unset %mass.nicks
n806=  set %mass.number 1
n807=  unset %mass.totalnum
n808=  :incme
n809=  if ($nick($1,%mass.number) !isowner $1) && ($nick($1,%mass.number) !isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n810=  if (%mass.number == %mass.nicknumber) { goto end }
n811=  inc %mass.number
n812=  goto incme
n813=  :end  
n814=  .raw mode $1 - $+ $str(q,%mass.totalnum) %mass.nicks
n815=  :endall
n816=}
n817=
n818=alias massdeopdeops {
n819=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n820=  set %mass.nicknumber $nick($1,0)
n821=  unset %mass.nicks
n822=  set %mass.number 1
n823=  unset %mass.totalnum
n824=  :incme
n825=  if ($nick($1,%mass.number) !isowner $1) && ($nick($1,%mass.number) !isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n826=  if (%mass.number == %mass.nicknumber) { goto end }
n827=  inc %mass.number
n828=  goto incme
n829=  :end  
n830=  .raw mode $1 - $+ $str(o,%mass.totalnum) %mass.nicks
n831=  :endall
n832=}
n833=
n834=alias massopdeops {
n835=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n836=  set %mass.nicknumber $nick($1,0)
n837=  unset %mass.nicks
n838=  set %mass.number 1
n839=  unset %mass.totalnum
n840=  :incme
n841=  if ($nick($1,%mass.number) !isowner $1) && ($nick($1,%mass.number) !isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n842=  if (%mass.number == %mass.nicknumber) { goto end }
n843=  inc %mass.number
n844=  goto incme
n845=  :end  
n846=  .raw mode $1 + $+ $str(o,%mass.totalnum) %mass.nicks
n847=  :endall
n848=}
n849=
n850=alias massvdeops {
n851=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n852=  set %mass.nicknumber $nick($1,0)
n853=  unset %mass.nicks
n854=  set %mass.number 1
n855=  unset %mass.totalnum
n856=  :incme
n857=  if ($nick($1,%mass.number) !isowner $1) && ($nick($1,%mass.number) !isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n858=  if (%mass.number == %mass.nicknumber) { goto end }
n859=  inc %mass.number
n860=  goto incme
n861=  :end  
n862=  .raw mode $1 + $+ $str(v,%mass.totalnum) %mass.nicks
n863=  :endall
n864=}
n865=
n866=alias massunvdeops {
n867=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n868=  set %mass.nicknumber $nick($1,0)
n869=  unset %mass.nicks
n870=  set %mass.number 1
n871=  unset %mass.totalnum
n872=  :incme
n873=  if ($nick($1,%mass.number) !isowner $1) && ($nick($1,%mass.number) !isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n874=  if (%mass.number == %mass.nicknumber) { goto end }
n875=  inc %mass.number
n876=  goto incme
n877=  :end  
n878=  .raw mode $1 - $+ $str(v,%mass.totalnum) %mass.nicks
n879=  :endall
n880=}
n881=
n882=;======
n883=
n884=alias massqownersops {
n885=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n886=  set %mass.nicknumber $nick($1,0)
n887=  unset %mass.nicks
n888=  set %mass.number 1
n889=  unset %mass.totalnum
n890=  :incme
n891=  if ($nick($1,%mass.number) isowner $1) || ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n892=  if (%mass.number == %mass.nicknumber) { goto end }
n893=  inc %mass.number
n894=  goto incme
n895=  :end  
n896=  .raw mode $1 + $+ $str(q,%mass.totalnum) %mass.nicks
n897=  :endall
n898=}
n899=
n900=alias massdeqownersops {
n901=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n902=  set %mass.nicknumber $nick($1,0)
n903=  unset %mass.nicks
n904=  set %mass.number 1
n905=  unset %mass.totalnum
n906=  :incme
n907=  if ($nick($1,%mass.number) isowner $1) || ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n908=  if (%mass.number == %mass.nicknumber) { goto end }
n909=  inc %mass.number
n910=  goto incme
n911=  :end  
n912=  .raw mode $1 - $+ $str(q,%mass.totalnum) %mass.nicks
n913=  :endall
n914=}
n915=
n916=alias massdeopownersops {
n917=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n918=  set %mass.nicknumber $nick($1,0)
n919=  unset %mass.nicks
n920=  set %mass.number 1
n921=  unset %mass.totalnum
n922=  :incme
n923=  if ($nick($1,%mass.number) isowner $1) || ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n924=  if (%mass.number == %mass.nicknumber) { goto end }
n925=  inc %mass.number
n926=  goto incme
n927=  :end  
n928=  .raw mode $1 - $+ $str(o,%mass.totalnum) %mass.nicks
n929=  :endall
n930=}
n931=
n932=alias massopownersops {
n933=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n934=  set %mass.nicknumber $nick($1,0)
n935=  unset %mass.nicks
n936=  set %mass.number 1
n937=  unset %mass.totalnum
n938=  :incme
n939=  if ($nick($1,%mass.number) isowner $1) || ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n940=  if (%mass.number == %mass.nicknumber) { goto end }
n941=  inc %mass.number
n942=  goto incme
n943=  :end  
n944=  .raw mode $1 + $+ $str(o,%mass.totalnum) %mass.nicks
n945=  :endall
n946=}
n947=
n948=alias massvownersops {
n949=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n950=  set %mass.nicknumber $nick($1,0)
n951=  unset %mass.nicks
n952=  set %mass.number 1
n953=  unset %mass.totalnum
n954=  :incme
n955=  if ($nick($1,%mass.number) isowner $1) || ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n956=  if (%mass.number == %mass.nicknumber) { goto end }
n957=  inc %mass.number
n958=  goto incme
n959=  :end  
n960=  .raw mode $1 + $+ $str(v,%mass.totalnum) %mass.nicks
n961=  :endall
n962=}
n963=
n964=alias massunvownersops {
n965=  if ($1 == $null) { echo -a $stamp $spec(Mass) Need a room | goto endall }
n966=  set %mass.nicknumber $nick($1,0)
n967=  unset %mass.nicks
n968=  set %mass.number 1
n969=  unset %mass.totalnum
n970=  :incme
n971=  if ($nick($1,%mass.number) isowner $1) || ($nick($1,%mass.number) isop $1) && ($nick($1,%mass.number) != $me) { set %mass.nicks %mass.nicks $nick($1,%mass.number) | inc %mass.totalnum }
n972=  if (%mass.number == %mass.nicknumber) { goto end }
n973=  inc %mass.number
n974=  goto incme
n975=  :end  
n976=  .raw mode $1 - $+ $str(v,%mass.totalnum) %mass.nicks
n977=  :endall
n978=}
n979=
n980=alias masskick {
n981=  set %mkmsg $1-
n982=  set %num 1
n983=  set %mktime 1
n984=  :start
n985=  set %mktarg $nick(#,%num)
n986=  if (%mktarg == $null) { goto end }
n987=  if (%mktarg == %protect) { inc %num | goto start }
n988=  if (%mktarg != $me) { .timer 1 %mktime /kick # %mktarg 4,1::11[ 9«|ExCluSiVe Script|»11 ]-[4 МаС-КиК 11]4:: | .inc %mktime 1 }
n989=  inc %num 1 | goto start
n990=  :end
n991=  unset %num | unset %mktarg | unset %mktime | unset %mkmsg | unset %protect
n992=}
n993=
n994=;/////////////////////////////////////////////Быстрые меню/////////////////////////////////////////////
n995=alias ASCIIwindow {
n996=  window -c @ASCII
n997=  window -alkf @ASCII 328 1 20 260
n998=  aline @ASCII 0,12 Dec.  0,12 Char. 
n999=  var %ASCIIcodes = 0
n1000=  while (%ASCIIcodes < 256) {
n1001=    set %cTempNumFiller %ASCIIcodes
n1002=    if ($len(%ASCIIcodes) == 1)  set %cTempNumFiller 00 $+ %ASCIIcodes
n1003=    if ($len(%ASCIIcodes) == 2)  set %cTempNumFiller 0 $+ %ASCIIcodes
n1004=    aline @ASCII $chr(160) %cTempNumFiller $chr(160)  $chr(160) $chr(160) $chr(160) $chr(160)  $chr(%ASCIIcodes)
n1005=    inc %ASCIIcodes
n1006=  }
n1007=  unset %cTempNumFiller
n1008=}
n1009=
n1010=alias chcolor {
n1011=  window -c @Color
n1012=  window -abf @Color 328 1 20 260
n1013=  set %col1 0
n1014=  set %col2 0
n1015=  :ncol
n1016=  :ncol2
n1017=  echo -a color:  $+ %col1 $+ , $+ %col2 $+ $$1-  ctrl + k %col1 $+ , $+ %col2
n1018=  inc %col2
n1019=  if (%col2 < 16) goto ncol2
n1020=  set %col2 1
n1021=  inc %col1
n1022=  if (%col1 < 16) goto ncol
n1023=}
n1024=